searchNodes=[{"doc":"Nilsimsa is an implementation of a locality-sensitive hashing algorithm where similar input values produce similar hashes. The more similar the input strings are, the smaller the bitwise different between the out generated hashes. Nilsimsa hashes are useful for detecting texts of the same origin. Processing a string To process a string, pass the value to the process/1 function: Nilsimsa . process ( &quot;abcdefgh&quot; ) You can also process a stream: &quot;war_and_peace.txt&quot; |&gt; File . stream! ( ) |&gt; Enum . reduce ( Nilsimsa . process ( &quot;&quot; ) , &amp; Nilsimsa . process / 2 ) Generating a digest To generate a digest of the Nilsimsa hash, just pass the process struct to the to_string/1 function: to_string ( Nilsimsa . process ( &quot;abcdefgh&quot; ) ) # =&gt; 14c8118000000000030800000004042004189020001308014088003280000078 Comparing values To compare two values, use the compare/2 function: Nilsimsa . compare ( Nilsimsa . process ( &quot;hello world&quot; ) , Nilsimsa . process ( &quot;all of your base&quot; ) ) # =&gt; 3","ref":"Nilsimsa.html","title":"Nilsimsa","type":"module"},{"doc":"Compare two hashed values This returns a value between -127 and 128 where -127 is different and 128 is similar. Examples iex&gt; Nilsimsa . compare ( Nilsimsa . process ( &quot;abc&quot; ) , Nilsimsa . process ( &quot;def&quot; ) ) 126","ref":"Nilsimsa.html#compare/2","title":"Nilsimsa.compare/2","type":"function"},{"doc":"Generate the digest of a hash Examples iex&gt; to_string ( Nilsimsa . digest ( Nilsimsa . process ( &quot;abcdefgh&quot; ) ) ) &quot;14c8118000000000030800000004042004189020001308014088003280000078&quot;","ref":"Nilsimsa.html#digest/1","title":"Nilsimsa.digest/1","type":"function"},{"doc":"Process the given string as a Nilsimsa hash Examples iex&gt; to_string ( Nilsimsa . process ( &quot;abcdefghijklmnopqrstuvwxyz&quot; ) ) &quot;94ca95850773045cabb93869ba8657373499beb81a17587fd6f9107fc54cc978&quot;","ref":"Nilsimsa.html#process/1","title":"Nilsimsa.process/1","type":"function"},{"doc":"Process the given string as a Nilsimsa hash using the given accumulator struct Examples iex&gt; to_string ( Nilsimsa . process ( &quot;abcdefghijklmnopqrstuvwxyz&quot; , % Nilsimsa { } ) ) &quot;94ca95850773045cabb93869ba8657373499beb81a17587fd6f9107fc54cc978&quot;","ref":"Nilsimsa.html#process/2","title":"Nilsimsa.process/2","type":"function"},{"doc":"","ref":"Nilsimsa.html#t:t/0","title":"Nilsimsa.t/0","type":"type"}]